Package org.osgi.framework.startlevel.dto

# Class FrameworkStartLevelDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.framework.startlevel.dto.FrameworkStartLevelDTO

public class FrameworkStartLevelDTO extends DTO
Data Transfer Object for a FrameworkStartLevel.

The System Bundle can be adapted to provide a `FrameworkStartLevelDTO` for the framework of the Bundle.

Author:
  $Id: FrameworkStartLevelDTO.java 1614569 2014-07-30 07:22:32Z cziegeler $

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`initialBundleStartLevel`
The initial start level value that is assigned to a bundle when it is first installed.
`int`
`startLevel`
The active start level value for the framework.

## Constructor Summary

Constructors
Constructor
Description
`FrameworkStartLevelDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### startLevel

public int startLevel
The active start level value for the framework.

See Also:
  - `FrameworkStartLevel.getStartLevel()`

### initialBundleStartLevel

public int initialBundleStartLevel
The initial start level value that is assigned to a bundle when it is first installed.

See Also:
  - `FrameworkStartLevel.getInitialBundleStartLevel()`

## Constructor Details

### FrameworkStartLevelDTO

public FrameworkStartLevelDTO()